Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd.impl
Class ConverterForRSS090

    java.lang.Object
      com.sun.syndication.feed.synd.impl.ConverterForRSS090

All Implemented Interfaces:
  Converter

Direct Known Subclasses:
  ConverterForRSS091Userland, ConverterForRSS10

    public class ConverterForRSS090

extends Object
implements Converter

Constructor Summary
`` | `ConverterForRSS090()`
`protected` | `ConverterForRSS090(String type)`

Method Summary
`void` | `copyInto(WireFeed feed, SyndFeed syndFeed)` Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.
`protected WireFeed` | `createRealFeed(String type, SyndFeed syndFeed)`
`WireFeed` | `createRealFeed(SyndFeed syndFeed)` Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.
`protected Image` | `createRSSImage(SyndImage sImage)`
`protected Item` | `createRSSItem(SyndEntry sEntry)`
`protected List` | `createRSSItems(List sEntries)`
`protected List` | `createSyndEntries(List rssItems, boolean preserveWireItems)`
`protected SyndEntry` | `createSyndEntry(Item item, boolean preserveWireItem)`
`protected SyndImage` | `createSyndImage(Image rssImage)`
`String` | `getType()` Returns the type (version) of the real feed this converter handles.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterForRSS090

    public ConverterForRSS090()

### ConverterForRSS090

    protected ConverterForRSS090(String type)

Method Detail

### getType

    public String getType()

  Description copied from interface: `Converter`
  Returns the type (version) of the real feed this converter handles.

  Specified by:
    `getType` in interface `Converter`
  Returns:
    the real feed type.
  See Also:
    `for details on the format of this string.

    `

### copyInto

    public void copyInto(WireFeed feed,
                         SyndFeed syndFeed)

  Description copied from interface: `Converter`
  Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.

  It assumes the given SyndFeedImpl has no properties set.

  Specified by:
    `copyInto` in interface `Converter`
  Parameters:
    `feed` - real feed to copy/convert.
    `syndFeed` - the SyndFeedImpl that will contain the copied/converted values of the real feed.

### createSyndImage

    protected SyndImage createSyndImage(Image rssImage)

### createSyndEntries

    protected List createSyndEntries(List rssItems,
                                     boolean preserveWireItems)

### createSyndEntry

    protected SyndEntry createSyndEntry(Item item,
                                        boolean preserveWireItem)

### createRealFeed

    public WireFeed createRealFeed(SyndFeed syndFeed)

  Description copied from interface: `Converter`
  Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.

  Specified by:
    `createRealFeed` in interface `Converter`
  Parameters:
    `syndFeed` - SyndFeedImpl to copy/convert value from.
  Returns:
    a real feed with copied/converted values of the SyndFeedImpl.

### createRealFeed

    protected WireFeed createRealFeed(String type,
                                      SyndFeed syndFeed)

### createRSSImage

    protected Image createRSSImage(SyndImage sImage)

### createRSSItems

    protected List createRSSItems(List sEntries)

### createRSSItem

    protected Item createRSSItem(SyndEntry sEntry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.